WINESERVER(1)

NAME
wineserver - Der Wine Server

ÜBERSICHT
wineserver [options]

BESCHREIBUNG
wineserver ist ein Hintergrundprozess der Wine grob die gleichen Dienste bereitstellt, die der Windows Kernel unter Windows bereitstellt.

wineserver startet normal automatisch mit wine(1), deswegen müssten Sie sich nicht damit beschäftigen. In einigen Fällen kann es nützlich sein wineserver direkt mit verschiedenen Parametern zu starten wie weiter unten beschrieben.

ARGUMENTE

-d[n], --debug[=n]
    Setzt das Debuglevel auf n. 0 gibt keine Debuginfos aus, 1 ist normal und 2 steht für detaillierte Debuginfos. Wenn n nicht angegeben wird, ist 1 der Standardwert. Die Debugausgabe wird an stderr geleitet. wine(1) wird beim starten von wineserver automatisch das Debuglevel setzen, wenn +server in der WINEDEBUG Umgebungsvariable gesetzt ist.

-f, --foreground
    Lässt den Server für einfachere Fehlersuche im Vordergrund laufen. Beispielsweise für den Betrieb im Debugger.

-h, --help
    Zeigt den Hilfetext an.

-k[n], --kill[=n]
    Beendet den gerade laufenden wineserver, optional mit Signal n. Wenn kein Signal angegeben wurde, wird erst ein SIGINT und darauf ein SIGKILL gesendet. Die wineserver Instanz die beendet wird, wird durch die Umgebungsvariable WINEPREFIX bestimmt.

-p[n], --persistent[=n]
    Gibt die Zeit an, die wineserver weiterläuft nach dem sich alle Clients beendet haben. Damit kann man das beenden und wieder starten sparen, wenn Anwendungen schnell hintereinander gestartet werden. Die Zeit n ist in Sekunden, der Standardwert ist 3. Wenn n nicht angegeben wird, läuft der Server ewig weiter.

-v, --version
    Zeigt Versionsinformationen an und beendet sich wieder.

-w, --wait
    Wartet bis sich der gerade laufende wineserver beendet hat.

UMGEBUNGSVARIABLEN

WINEPREFIX
    Durch setzen dieser Variable wird der Inhalt als Pfad zu einem Verzeichnis interpretiert, in dem wineserver seine Daten ablegt (Standardmäßig in $HOME/.wine). Alle wine Prozesse nutzen den gleichen wineserver (z.B.: beim gleichen Nutzer), teilen einige Sachen wie Registry, gemeinsamer Speicher und Kernel Objekte. Durch setzen von WINEPREFIX zu unterschiedlichen Pfaden für verschiedene Wine Prozesse ist es möglich unabhängige Wine Sitzungen zu betreiben.

WINESERVER
    Gibt den Pfad und Namen der wineserver Datei an, die automatisch von wine gestartet wird. Wenn diese Variable nicht gesetzt ist wird wine versuchen /bin/wineserver, zu laden. Existiert dieser Pfad nicht wird nach einer Datei namens wineserver im Pfad und ähnlichen Orten gesucht.

DATEIEN

~/.wine
    Verzeichnis mit Benutzerspezifischen Daten die zu wine gehören.

/tmp/.wine-uid
    Das Verzeichnis enthält den Server Unix Socket und die lock-Datei. Die Dateien werden in einem Unterverzeichnis angelegt welches sich aus Geräte- und Inodenummer des WINEPREFIX zusammensetzt.

AUTOREN
Der ursprüngliche Autor von wineserver ist Alexandre Julliard. Viele andere Leute haben neue Funktionen hinzugefügt und Fehler behoben. Bitte für mehr Informationen die Datei Changelog lesen.

FEHLER
Wenn Sie einen Fehler finden, melden Sie ihn bitte unter http://bugs.winehq.org. (http://bugs.winehq.org)

VERFÜGBARKEIT
wineserver ist Teil der Wine Distribution, welche über WineHQ, dem Wine Entwicklungs Hauptquartier, verfügbar ist unter http://www.winehq.org/. (http://www.winehq.org/)

SIEHE AUCH
wine(1).